/* 
    Table of content
    1. TITLE & TEXT
    2. VIDEO & TEXT
    3. STEPS
    4. TEXT & FORM
    5. PROJECT
    6. IMAGE
    7. VIDEO
    8. TEXT
    9. FAQS
*/

/* 1. TITLE & TEXT */
.content-title-text .container {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 10rem;
}

.content-title-text .title-wrapper {
    padding-right: 7rem;
}

.content-title-text .link.mobile {
    display: none;
}

/* 2. VIDEO & TEXT */
.content-video-text {
    overflow: hidden;
}

.content-video-text::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 8rem;
    background-color: white;
}

.content-video-text .container {
    position: relative;
    z-index: 1;
}

.content-video-text .video-wrapper {
    max-width: 98rem;
    margin-left: auto;
}

.content-video-text .video {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.25%;
}

.content-video-text .video::before {
    content: '';
    position: absolute;    
    right: -7.5rem;
    bottom: -7.5rem;
    width: 15rem;
    height: 15rem;
    background-image: url(../images/pattern-squaredots-white.svg);
    background-size: contain;
    background-position: center;
    opacity: .05;
}

.content-video-text iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 1rem;
    background-color: var(--color-darkgrey);
}

.content-video-text .content-wrapper {
    position: relative;
    z-index: 1;
    max-width: 57.5rem;
    margin-top: -22rem;
    color: white;
}

.content-video-text h2 {
    max-width: 40rem;
}

.content-video-text .text-wrapper {
    position: relative;
    margin-top: 16rem;
}

.content-video-text .text-wrapper::before {
    content: '';
    position: absolute;
    top: -14rem;
    left: 3rem;
    width: .1rem;
    height: 12rem;
    background-color: var(--color-yellow);
}

/* 3. STEPS */
.content-steps {
    position: relative;
    overflow: hidden;
}

.content-steps::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/pattern-lowpolybird-black.svg);
    background-repeat: no-repeat;
    background-size: 39rem 66rem;
    background-position: calc( 50% + 59rem ) top;
    opacity: .1;
}

.content-steps .container {
    position: relative;
    z-index: 1;
}

.content-steps .content-wrapper {
    max-width: 78rem;
}

.content-steps .steps-wrapper {
    counter-reset: counter;
    margin-top: 8rem;
    border-top: .1rem solid #ccc;
}

.content-steps .item {
    counter-increment: counter;
    padding: 4rem 5rem;
    border-bottom: .1rem solid #ccc;
}

.content-steps h3 {
    position: relative;
    margin-bottom: 0;
    cursor: pointer;
}

.content-steps h3::before {
    content: counter(counter) '.';
    position: absolute;
    left: -5rem;
}

.content-steps h3::after {
    content: '\f107';
    position: absolute;
    top: .2rem;
    right: -5rem;
    font-family: "Font Awesome 5 Pro";
    font-size: 2.4rem;
    font-weight: 400;
    transition: .3s;
}

.content-steps .item.active h3::after {
    transform: rotate(180deg);
}

.content-steps .item .text-wrapper {
    margin-top: 1.5rem;
    display: none;
}

.content-steps .link-wrapper {
    margin-top: 8rem;
}

.content-steps .title {
    font-size: 2.6rem;
    font-weight: 500;
}

.content-steps .link {
    margin-top: 1.5rem;
}

/* 4. TEXT & FORM */
.content-text-form .container {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: 1fr 2fr;
}

.content-text-form .content-wrapper {
    padding-right: 10rem;       
}

.content-text-form h2 {
    margin-top: -.5rem;
}

/* 5. PROJECT */
.content-project .container {
    position: relative;
    z-index: 1;
    display: grid;
    grid-template-columns: 1fr 2fr;
}

.content-project .specs-wrapper {
    padding-right: 10rem;
}

.content-project .specs-wrapper .item {
    margin-bottom: 3rem;
    break-inside: avoid;
}

.content-project .specs-wrapper h3 {
    margin-bottom: .3rem;
}

.content-project .content-wrapper h2 {
    margin-bottom: 1.5rem;
    font-size: 2.6rem;
    line-height: 1.3;
}

.content-project .content-wrapper .btn {
    margin-top: 3rem;
}

/* 6. IMAGE */
.content-image .container {
    position: relative;
    z-index: 1;
}

.content-image .image-wrapper {
    border-radius: 1rem;
    background-color: var(--color-lightgrey);
    display: flex;
    overflow: hidden;
}

.content-image .image-wrapper img {
    width: 100%;
    height: auto;
}

.content-image .caption {
    margin-top: 1.5rem;
    font-style: italic;
}

/* 7. VIDEO */
.content-video {
    overflow: hidden;
}

.content-video .container {
    position: relative;
}

.page-id-592 .content-video .container::before {
    content: '';
    position: absolute;
    z-index: 1;
    top: 3rem;
    right: 3rem;
    width: 13rem;
    height: 13rem;
    border-radius: 50%;
    background-color: white;
    background-image: url(../images/logo-conceptgod-darkblue.svg);
    background-size: 75%;
    background-position: center;
    background-repeat: no-repeat;
    animation: rotateSlowly 40s infinite linear;
}

.page-id-592 .content-video .container::after {
    content: '';
    position: absolute;
    z-index: 1;    
    right: -5rem;
    bottom: 0;
    width: 17.2rem;
    height: 10rem;
    background-image: url(../images/logo-bird.svg);
    background-size: contain;
    background-position: center;
}

.content-video .video-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 56.25%;
    border-radius: 1rem;
    overflow: hidden;
}

.content-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.content-video .caption {
    margin-top: 1.5rem;
    font-style: italic;
}

/* 8. TEXT */
.content-text .container {
    position: relative;
    z-index: 1;
}

.content-text .container.align-center {
    text-align: center;
}

/* 9. FAQS */
.content-faqs .container {
    position: relative;
    z-index: 1;
}

.content-faqs .content-wrapper {
    max-width: 78rem;
}

.content-faqs .faqs-wrapper {
    margin-top: 4rem;
}

.content-faqs .item {
    padding: 1.5rem 6rem 1.5rem 3rem;
    border-radius: 1rem;
    background-color: var(--color-lightgrey);
    cursor: pointer;
    transition: .3s;
}

.content-faqs .item.active {
    padding: 2.5rem 6rem 2.5rem 3rem;
}

.content-faqs .item:not(:first-child) {
    margin-top: 1.5rem;
}

.content-faqs h3 {
    position: relative;
    margin-bottom: 0;
    font-size: 1.9rem;
    line-height: 1.3;
}

.content-faqs h3::before {
    content: '\f107';
    position: absolute;
    top: 0;
    right: -3rem;
    font-family: "Font Awesome 5 Pro";
    font-size: 2rem;
    font-weight: 400;
    transition: .3s;
}

.content-faqs .item.active h3::before {
    top: -1rem;
    transform: rotate(180deg);
}

.content-faqs .item .text-wrapper {
    margin-top: .5rem;
    display: none;
}

/* RESIZE */
@media (max-width: 1240px) {
    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: 88rem;
    }
}

@media (max-width: 1140px) {
    /* 1. TITLE & TEXT */
    .content-title-text .container {
        grid-gap: 6rem;
    }
    
    .content-title-text .title-wrapper {
        padding-right: 0;
    }

    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: 78rem;
    }

    /* 4. TEXT & FORM */
    .content-text-form .content-wrapper {
        padding-right: 6rem;
    }

    /* 5. PROJECT */
    .content-project .specs-wrapper {
        padding-right: 6rem;
    }
}

@media (max-width: 1024px) {
    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: 68rem;
    }

    .content-video-text .content-wrapper {
        margin-top: -16rem;
    }

    .content-video-text .text-wrapper {
        margin-top: 11rem;
    }

    .content-video-text .text-wrapper::before {
        top: -9rem;
        height: 7rem;
    }

    /* 3. STEPS */
    .content-steps .steps-wrapper {
        margin-top: 5rem;
    }

    .content-steps .item {
        padding: 3rem 5rem;
    }

    .content-steps .link-wrapper {
        margin-top: 5rem;
    }

    .content-steps .title {
        font-size: 2.2rem;
    }

    /* 5. PROJECT */
    .content-project .content-wrapper h2 {
        margin-bottom: 1rem;
        font-size: 2.2rem;
    }

    /* 7. VIDEO */
    .page-id-592 .content-video .container::before {
        top: 2rem;
        right: 2rem;
        width: 10rem;
        height: 10rem;
    }
}

@media (max-width: 899px) {    
    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: 58rem;
    }

    .content-video-text .video::before { 
        right: -6rem;
        bottom: -6rem;
        width: 12rem;
        height: 12rem;
    }

    .content-video-text h2 {
        max-width: 35rem;
    }

    /* 9. FAQS */
    .content-faqs .faqs-wrapper {
        margin-top: 3rem;
    }

    .content-faqs .item {
        padding: 1.25rem 6rem 1.25rem 2rem;
    }

    .content-faqs .item.active {
        padding: 1.75rem 6rem 1.75rem 2rem;
    }

    .content-faqs h3 {
        font-size: 1.8rem;
    }

    .content-faqs h3::before {
        right: -4rem;
    }

    .content-faqs .item.active h3::before {
        top: -.2rem;
    }

    .content-faqs .item .text-wrapper {
        font-size: 1.4rem;
        line-height: 1.7;
    }
}

@media (max-width: 767px) { 
    /* 1. TITLE & TEXT */
    .content-title-text .container {
        grid-template-columns: 1fr;
        grid-gap: 0;
    }

    .content-title-text .link.desktop {
        display: none;
    }

    .content-title-text .link.mobile {
        display: inline-block;
    }

    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: 48rem;
    }

    .content-video-text .content-wrapper {
        margin-top: -13rem;
    }

    .content-video-text h2 {
        max-width: 30rem;
    }

    .content-video-text .text-wrapper {
        margin-top: 9rem;
    }

    .content-video-text .text-wrapper::before {
        top: -7rem;
        height: 5rem;
    }

    /* 4. TEXT & FORM */
    .content-text-form .container {
        grid-template-columns: 1fr;
        grid-gap: 5rem;
    }

    .content-text-form .content-wrapper {
        padding-right: inherit;       
    }

    .content-text-form h2 {
        margin-top: inherit;
    }

    /* 5. PROJECT */
    .content-project .container {
        grid-template-columns: 1fr;
        grid-gap: 5rem;
    }

    .content-project .specs-wrapper {
        order: 2;
        padding-right: inherit;
        column-count: 2;
        column-gap: 10rem;
    }

    .content-project .content-wrapper {
        order: 1;
    }

    /* 6. IMAGE */
    .content-image .caption {
        margin-top: 1rem;
        font-size: 1.3rem;
    }

    /* 7. VIDEO */
    .page-id-592 .content-video .container::after {
        width: 13.7rem;
        height: 8rem;
    }

    .content-video .caption {
        margin-top: 1rem;
        font-size: 1.3rem;
    }
}

@media (max-width: 599px) {
    /* 2. VIDEO & TEXT */
    .content-video-text .video-wrapper {
        max-width: inherit;
    }

    .content-video-text .video::before { 
        right: -5rem;
        bottom: -5rem;
        width: 10rem;
        height: 10rem;
    }

    .content-video-text .content-wrapper {
        max-width: inherit;
        margin-top: 5rem;
    }

    .content-video-text h2 {
        max-width: inherit;
    }

    .content-video-text .text-wrapper {
        margin-top: 0;
    }

    .content-video-text .text-wrapper::before {
        display: none;
    }

    /* 3. STEPS */
    .content-steps .item {
        padding: 3rem;
    }

    .content-steps h3::before {
        left: -3rem;
    }

    .content-steps h3::after {
        right: -3rem;
    }

    /* 5. PROJECT */
    .content-project .specs-wrapper {
        column-count: 1;
    }

    /* 6. IMAGE */
    .single-project .content-image.pb-lg {
        padding-bottom: 3rem;
    }

    /* 7. VIDEO */
    .page-id-592 .content-video .container::before {
        top: 1.5rem;
        right: 1.5rem;
        width: 7rem;
        height: 7rem;
    }
}